POST/recurring-payments

Recurring Payments

This API allows you to analyze a list of financial transactions and identify recurring payments based on specified criteria such as frequency, amount consistency, and regularity score.

Request Body

object
itemIdstring

User's item id

Example

json
{
  "itemId": "string"
}

Responses

200200
object
recurringPaymentsobject[]
itemsobject

Example response

json
{
  "recurringPayments": [
    {
      "description": "debito aut conta agua e esgoto sabesp",
      "averageAmount": -76.78,
      "occurrences": [
        "77777777-8888-9999-0000-111111111111"
      ],
      "regularityScore": 0.997773784382727
    }
  ]
}

Code Examples

bash
curl -X POST 'https://enrichment-api.pluggy.ai/recurring-payments' \
  -H 'Content-Type: application/json' \
  -H 'X-API-KEY: YOUR_API_KEY' \
  -d '{}'

Try It